pdIdnot                 package:mgcv                 R Documentation

Overflow proof pdMat class for multiples of the identity matrix

Description:

     This set of functions is a modification of the  'pdMat' class
     'pdIdent' from library 'nlme'. The modification is to replace the
     log parameterization used in 'pdMat' with a 'notLog'
     parameterization, since the latter is much less susceptible to
     overflow  and underflow of the parameters on the original scale.
     The functions are particularly useful for working with Generalized
     Additive Mixed Models where variance parameters/smoothing
     parameters can be very large or very small, so that overflow or
     underflow can be a problem.

Usage:

     pdIdnot(value = numeric(0), form = NULL, 
            nam = NULL, data = sys.frame(sys.parent()))

Arguments:

   value: Initialization values for parameters. Not normally used.

    form: A one sided formula specifying the random effects structure. 

     nam: a names argument, not normally used with this class.

    data: data frame in which to evaluate formula.

Details:

     Note that while the 'pdFactor' and 'pdMatrix' functions return the
     inverse of the scaled random  effect covariance matrix or its
     factor, the 'pdConstruct' function is initialised with estimates
     of the  scaled covariance matrix itself.

Value:

     A class 'pdIdnot' object, or related quantities. See the 'nlme'
     documentation for further details.

Author(s):

     Simon N. Wood simon@stats.gla.ac.uk

References:

     Pinheiro J.C. and Bates, D.M. (2000) Mixed effects Models in S and
     S-PLUS. Springer

     The 'nlme' source code.

     <URL: http://www.stats.gla.ac.uk/~simon/>

See Also:

     'te', 'pdTens', 'notLog', 'gamm'

Examples:

     # see gamm

